classification
Title: distutils: Remove bdist_wininst command
Type: Stage: resolved
Components: Distutils Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, jkloth, vstinner
Priority: normal Keywords: patch

Created on 2021-01-01 14:28 by vstinner, last changed 2021-01-11 12:53 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24043 merged vstinner, 2021-01-01 14:44
Messages (7)
msg384173 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-01-01 14:28
Attached PR removes it.

The bdist_wininst command was deprecated in Python 3.8:

commit 1da4462765b084dfa8d869b6cb5855e8f6014a11
Author: Victor Stinner <vstinner@redhat.com>
Date:   Fri Jul 5 10:44:12 2019 +0200

    bpo-37481: Deprecate distutils bdist_wininst command (GH-14553)
    
    The distutils bdist_wininst command is now deprecated, use
    bdist_wheel (wheel packages) instead.


"What’s New In Python 3.9: Build Changes" also announced:

* On non-Windows platforms, creating ``bdist_wininst`` installers is now
  officially unsupported.  (See :issue:`10945` for more details.)

https://docs.python.org/dev/whatsnew/3.9.html#build-changes


See bpo-37481 and:
https://discuss.python.org/t/deprecate-bdist-wininst/1929
msg384175 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-01-01 14:32
There are 19 issues (+ this one) on bdist_wininst. Once distutils bdist_wininst command will be removed, I propose to all these issues.

Search for open issues with "bdist_wininst" in the title.

Only bpo-41771 was active recently (3 months ago). The 18 other issues are inactive for between 18 months and 121 months (10 years!).
msg384179 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-01-01 15:02
FYI last year, I fixed setuptools v45.2 (released in February 2020) when bdist_wininst is missing:
https://github.com/pypa/setuptools/commit/5d17586a56077dfa3109a5861cf0ff579095a42e
msg384180 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-01-01 15:05
Note: bdist_msi is deprecated since Python 3.9 (bpo-39586). I prefer to wait for Python 3.11 to remove it:

commit 29b3fc0a18f105de666fdd586b537f34e349766d
Author: Hugo van Kemenade <hugovk@users.noreply.github.com>
Date:   Mon Feb 10 15:26:40 2020 +0200

    bpo-39586: Deprecate distutils bdist_msi command (GH-18415)
msg384181 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-01-01 15:10
I created a https://discuss.python.org/t/remove-bdist-wininst-command/6434 topic to check if anyone wants to keep the command, or if it's ok to remove it right now.
msg384696 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-01-08 23:35
New changeset 0e2a0f72cc9af0899eacb5604e44a563c0b06110 by Victor Stinner in branch 'master':
bpo-42802: Remove distutils bdist_wininst command (GH-24043)
https://github.com/python/cpython/commit/0e2a0f72cc9af0899eacb5604e44a563c0b06110
msg384832 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-01-11 12:53
I closed the 19 open issues which contained "wininst" in their title as "wont fix" with the message:

"The distutils bdist_wininst command has been removed in Python 3.10: see bpo-42802."

You can simply search for closed issue which contains "wininst" in their title if you want to list them.
History
Date User Action Args
2021-01-11 12:53:38vstinnersetmessages: + msg384832
2021-01-08 23:38:15vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-01-08 23:35:25vstinnersetmessages: + msg384696
2021-01-01 17:03:26jklothsetnosy: + jkloth
2021-01-01 15:10:07vstinnersetmessages: + msg384181
2021-01-01 15:05:12vstinnersetmessages: + msg384180
2021-01-01 15:02:51vstinnersetmessages: + msg384179
2021-01-01 14:44:30vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request22884
2021-01-01 14:32:41vstinnersetmessages: + msg384175
2021-01-01 14:28:27vstinnercreate